import {axios} from '@/util/axios/request'

const api = {
  getPage: '/points/award/rule/template/list',
  getDetail: '/points/award/rule/template/',
  deleteOne: '/points/award/rule/template/',
  deleteBatch: '/points/award/rule/template/batch/delete',
  save: '/points/award/rule/template/'
}

export default api

export function getPage(parameter) {
  return axios({
    url: api.getPage,
    method: 'post',
    data: parameter,
    useFullLoading: true
  })
}

export function getDetail(id) {
  return axios({
    url: api.getDetail + id,
    method: 'get',
    useFullLoading: true
  })
}

export function deleteOne(id) {
  return axios({
    url: api.deleteOne + id,
    method: 'delete',
  })
}

export function save(data) {
  return axios({
    url: api.save,
    method: 'post',
    data: data,
    useFullLoading: true
  })
}

export function deleteBatch(parameter) {
  return axios({
    url: api.deleteBatch,
    method: 'post',
    data: parameter
  })
}

